Package: general
Severity: normal

In preparation for a pseudo-package, buildd.emdebian.org, I'm filing
status bugs about packages that fail to crossbuild successfully, despite
building successfully in the past. i.e. where an existing package in
Emdebian cannot be updated because the new version fails in a new and
different way.
:-(

$ emsource --status ntp
Checking the apt-cross cache is up to date for arm.
Checking status of ntp in /opt/emdebian/trunk/n/ntp/trunk/
11 emdebian patch files
0 debian patch files

Checking emdebuild status in /opt/emdebian/trunk/n/ntp/trunk/
ntp may be out of date.
Checking for error logs in /opt/emdebian/trunk/n/ntp/trunk/
Checking bug status
No open cross-building bugs for ntp

In file included from /usr/include/string.h:423,
from /usr/include/memory.h:30,
from ../include/ntp_string.h:13,
from authkeys.c:15:
/usr/include/bits/string2.h:972: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:983: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:996: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1048: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1060: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1072: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1125: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1137: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1176: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1226: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1236: warning: C99 inline functions are not
supported; using GNU89
/usr/include/bits/string2.h:1264: warning: C99 inline functions are not
supported; using GNU89
authkeys.c: In function ‘authencrypt’:
authkeys.c:445: error: invalid 'asm': invalid operand for code 'w'
authkeys.c:445: error: invalid 'asm': invalid operand for code 'w'
make[3]: *** [authkeys.o] Error 1
make[3]: Leaving directory
`/opt/emdebian/trunk/n/ntp/trunk/ntp-4.2.4p4+dfsg/libntp'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/opt/emdebian/trunk/n/ntp/trunk/ntp-4.2.4p4+dfsg'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/opt/emdebian/trunk/n/ntp/trunk/ntp-4.2.4p4+dfsg'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2



-- System Information:
Debian Release: lenny/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



--
To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org